package com.yinlihupo.enlish.service.domain.mapper;

import com.yinlihupo.enlish.service.domain.dataobject.GradeUnitDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GradeUnitDOMapper {

    List<Integer> selectUnitIdsByGradeId(@Param("gradeId") Integer gradeId);

    GradeUnitDO selectByUnitId(@Param("unitId") Integer unitId);

    List<GradeUnitDO> selectByUnitIds(@Param("unitIds") List<Integer> unitIds);

    int insert(GradeUnitDO record);

    int deleteByUnitId(@Param("unitId") Integer unitId);
}